# Function remove

- remove(collectionId, productId, batchId): Promise<void>

- Delete a batch for a collection and product (admin only).

  #### Parameters

  - collectionId: string

    Identifier of the parent collection

  - productId: string

    Identifier of the parent product

  - batchId: string

    Identifier of the batch

  #### Returns Promise<void>

  Promise resolving to void

  #### Throws

  ErrorResponse if the request fails

  - Defined in api/batch.ts:95